<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class DatabaseSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Eloquent::unguard();
        
        $this->call(UsersTableSeeder::class);
        $this->call(RolesAndPermissionsSeeder::class);
        $this->call(UserRoleSeeder::class);
        $this->call(RateTableSeeder::class);
        $this->call(BookTableSeeder::class);     
        $this->call(SettingCreditSeeder::class);  
        $this->call(SuppliersTableSeeder::class);  
        $this->call(MarkingSeeder::class);  
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        $this->call(SettingMalaysiaBankSeeder::class);  
        $this->call(SettingBeneficiarySeeder::class);  
        $this->call(SettingActiveBankSeeder::class);
        $this->call(SettingTaxRateSeeder::class);
        $this->call(SettingBillingChargeSeeder::class);
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
    }
}
